Subject: bug#25054: 25.1; bury-buffer makes bad choice of next buffer

From: martin rudalics <[email-masked]>
Date: Mon, 28 Nov 2016 20:14:03 +0100

> If I have the screen divided into two windows showing two different
 > buffers and issue M-x bury-buffer on one of them, the window will show
 > the same buffer that is shown in the other window.
 >
 > This is different from what it was in Emacs 22, and I find it very
 > annoying.  Unless there is good reason for the new behaviour, the buffer
 > displayed should be the "other buffer".  To reproduce:
 >
 > C-x 1 RET
 > C-x b a RET
 > C-x b b RET
 > C-x b c RET
 > C-x 4 b d RET
 > M-x bury-buffer RET
 >
 > Now both windows show buffer c, while the current buffer should display
 > buffer b.

Please try with ‘switch-to-visible-buffer’ customized to nil.

martin